Skip to main content

List Experiments

List Experiments

POST 

/api/2/auto_eval/experiment/list

List Experiments.

Request​

Body

    filters

    object

    query string

    search query substring match for name and description

    projectId string

    search only experiments associated with specific project

    pageIndex integer
    pageSize integer

Responses​

Successful operation

Schema

    experiments

    object[]

    required

  • Array [

  • id stringrequired
    createdAt date-timerequired

    A summary is retrieved for a time range from start_time to end_time If no end_time is provided, current time is used

    updatedAt date-timerequired

    A summary is retrieved for a time range from start_time to end_time If no end_time is provided, current time is used

    creatorId string
    name stringrequired
    description string
    projectId stringrequired

    metadata

    object

    fields

    object

    required

    property name*

    object

    Ordered row values with length always equal to num_rows on the corresponding view.

    property name* any

    Ordered row values with length always equal to num_rows on the corresponding view.

  • ]

  • totalCount integerrequired

    Total count of experiments which can be listed with applicable filters, regardless of page size

Loading...